LibreOffice: XInterfaceAttributeTypeDescription2 Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInterfaceAttributeTypeDescription2 Interface Reference

Reflects an interface attribute, supporting extended attributes that are bound or raise exceptions. More...

`import <XInterfaceAttributeTypeDescription2.idl;`

Inheritance diagram for XInterfaceAttributeTypeDescription2:

## Public Member Functions
boolean | isBound ()
| Returns whether this object reflects a bound attribute.
sequence< XCompoundTypeDescription > | getGetExceptions ()
| Returns the exceptions that can be raised by the attribute's getter.
sequence< XCompoundTypeDescription > | getSetExceptions ()
| Returns the exceptions that can be raised by the attribute's setter.
Public Member Functions inherited from XInterfaceAttributeTypeDescription
boolean | isReadOnly ()
| Returns true, if this attribute is read-only.
com::sun::star::reflection::XTypeDescription | getType ()
| Returns the type of the attribute.
Public Member Functions inherited from XInterfaceMemberTypeDescription
string | getMemberName ()
| Returns name of member.
long | getPosition ()
| Returns the position the member including all inherited members of base interfaces.
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects an interface attribute, supporting extended attributes that are bound or raise exceptions.

This type supersedes XInterfaceAttributeTypeDescription, which does not support extended attributes.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getGetExceptions()

sequence< XCompoundTypeDescription > getGetExceptions | ( |  | ) |

Returns the exceptions that can be raised by the attribute's getter.

Returns
  the reflections of all the exceptions that are listed in the `raises` specification of the attribute's getter (if any), in no particular order; all elements of the returned sequence will be reflections of exception types

## ◆ getSetExceptions()

sequence< XCompoundTypeDescription > getSetExceptions | ( |  | ) |

Returns the exceptions that can be raised by the attribute's setter.

Returns
  the reflections of all the exceptions that are listed in the `raises` specification of the attribute's setter (if any), in no particular order; all elements of the returned sequence will be reflections of exception types

## ◆ isBound()

boolean isBound | ( |  | ) |

Returns whether this object reflects a bound attribute.

Returns
  `TRUE` iff this object reflects a bound attribute

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceAttributeTypeDescription2.idl